if [ $# -le 0 ]; then
	echo "usage : $0 <tracefile>"
	exit
fi

export LC_NUMERIC="POSIX"

####################
# Premier et dernier paquet reçu
####################

awk '$1 == "r" {
		if (first[$3] == "")
			first[$3] = $0;
		last[$3] = $0;
		}
	END {
		for (i in first) {
			print "##### First/last packet received by node", i, "#####";
			print first[i];
			print last[i];
		}
	}' $1
echo

####################
# Packet loss
####################

# Nombre de "drop", "sent", "receive"
awk '$1 != "M" && $7 == "tcp" { print $6, $2, $1 }' $1 | sort -k 1n,1 -k 2n,2 | uniq | awk '
	$3 == "s" { s += 1 }
	$3 == "r" { r += 1 }
	$3 == "D" { d += 1 }
	END {
		print "Nb de paquets TCP dropés            :", d;
		print "Nb de paquets TCP envoyés/non reçus :", s-r;
		print "Nb de paquets TCP envoyés           :", s;
		print "Nb de paquets TCP reçus             :", r;
		print "Pourcentage de paquets perdus       :", 100*(s-r)/s
	}'
