if [ $# -le 0 ]; then
	echo "usage : $0 <plotfile>"
	echo "    <plotfile> = name of the data file to plot"
	exit
fi

ymin=$(awk '{ print $2 }' $1 | sort -n | head -n 1)
ymax=$(awk '{ print $2 }' $1 | sort -rn | head -n 1)

gnuplot <( echo '
set terminal tikz standalone solid color
set output "tmp.tex"
set yrange ['$ymin - 1':'$ymax + 1']
set xlabel "Distance between nodes [m]"
set ylabel "Goodput (débit utile) [Mb/s]"
plot "'$1'" title "" with lines
')
rubber -d tmp.tex
mv tmp.pdf graphic.pdf
rm tmp*
