if [ $# -le 0 ]; then
	echo "usage : $0 <nsscript> [<step> [<size>]]"
	echo "    <nsscript> = name of the OTcl script for the simulation"
	echo "    <step>     = increment for the loop over the different distances"
	echo "    <size>     = size of the cbr packets (in bytes)"
	exit
fi

step=${2:-5}   # Incrément par défaut
size=${3:-1500} # Taille utile des paquets échangés par défaut = 1500 octets

export LC_NUMERIC="POSIX"

####################
# Simulation pour plusieurs valeurs de d
# + Débit moyen utile (en Mb/s)
####################

# Nb de "receive" (paquet effectivement transmis), durée du transfert (last - first)
# Débit utile = receive * size / durée

for (( d=0 ; d<=400 ; d+=$step )); do
	sed 's/set distance [0-9]*/set distance '$d'/' $1 | ns 2> /dev/null | \
	awk '$1 == "s" && $7 == "cbr" { if (! first) first = $2 }
		 $1 == "r" && $7 == "cbr" { last = $2; r += 1; }
		 END {
			if (r != 0) print '$d', r * '$size' * 8 / 1000000 / (last - first);
			else print '$d', 0;
		 }'
done
