if [ $# -le 0 ]; then
	echo "usage : $0 <tracefile> [<header>]"
	echo "    <tracefile> = name of the trace file to load"
	echo "    <header>    = size of the headers (in bytes)"
	exit
fi

header=${4:-40} # En-tête TCP par défaut = 40 octets

export LC_NUMERIC="POSIX"

####################
# Débit moyen utile (en Mb/s)
####################

# Taille totale des paquets TCP échangés / durée du transfert (last - first)

awk '$1 == "s" && $4 == "AGT" && $7 == "tcp" {
		if (! first[$3]) first[$3] = $2;
		owner[$6] = $3;
		nodelist[$3] = true;
	 }
	 $1 == "r" && $4 == "AGT" && $7 == "tcp" {
		last[owner[$6]] = $2;
		total[owner[$6]] += $8 - '$header';
	 }
	 END {
		for (i in nodelist) {
			if (total[i] != 0)
				throughput = total[i] * 8 / 1000000 / (last[i] - first[i]);
			else
				throughput = 0;
			print "Débit utile du nœud", i, ":", throughput, "Mb/s";
		}
	 }' $1
