if [ $# -le 0 ]; then
	echo "usage : $0 <tracefile>"
	echo "    <tracefile> = name of the trace file to load"
	exit
fi


export LC_NUMERIC="POSIX"

####################
# Débit moyen (en Mb/s)
####################

# Taille totale des paquets UDP échangés / durée du transfert (last - first)

awk '$1 == "s" && $4 == "AGT" && $7 == "cbr" {
		if (! first[$3]) first[$3] = $2;
		owner[$6] = $3;
		size[$3] = $8;
		nodelist[$3] = true;
	 }
	 $1 == "r" && $4 == "AGT" && $7 == "cbr" {
		last[owner[$6]] = $2;
		total[owner[$6]] += size[owner[$6]];
		count[owner[$6]] += 1
	 }
	 END {
		for (i in nodelist) {
			if (total[i] != 0)
				throughput = total[i] * 8 / 1000000 / (last[i] - first[i]);
			else
				throughput = 0;
			print "Débit du nœud", i, ":", throughput, "Mb/s";
		}
	 }' $1
