if [ $# -le 0 ]; then
	echo "usage : $0 <tracefile> [<size>]"
	echo "    <tracefile> = name of the trace file to load"
	echo "    <size>      = size of the cbr packets (in bytes)"
	exit
fi

size=${2:-250} # Taille utile des paquets échangés par défaut = 1500 octets

export LC_NUMERIC="POSIX"

####################
# Débit moyen utile (en Mb/s)
####################

# Taille totale des paquets UDP échangés / durée du transfert (last - first)

awk '$1 == "s" && $4 == "AGT" && $7 == "cbr" {
		if (! first[$3]) first[$3] = $2;
		owner[$6] = $3;
		nodelist[$3] = true;
	 }
	 $1 == "r" && $4 == "AGT" && $7 == "cbr" {
		last[owner[$6]] = $2;
		total[owner[$6]] += '$size';
	 }
	 END {
		print "##### Débit utile ####";
		for (i in nodelist) {
			if (total[i] != 0)
				throughput = total[i] * 8 / 1000000 / (last[i] - first[i]);
			else
				throughput = 0;
			print "Nœud", i, ":", throughput, "Mb/s";
		}
	 }' $1
echo

####################
# Packet loss
####################

# Nombre de "drop", "sent", "receive"
awk '$1 == "s" && $4 == "AGT" && $7 == "cbr" {
		owner[$6] = $3;
		nodelist[$3] = true;
		s[owner[$6]] += 1;
	 }
	 $1 == "r" && $4 == "AGT" && $7 == "cbr" {
		r[owner[$6]] += 1;
	 }
	 $1 == "D" && $7 == "cbr" {
		d[owner[$6]] += 1;
	 }
	 END {
		for (i in nodelist) {
			print "##### Nœud ", i, "#####";
			print "Nb de paquets TCP dropés            :", d[i];
			print "Nb de paquets TCP envoyés/non reçus :", s[i]-r[i];
			print "Nb de paquets TCP envoyés           :", s[i];
			print "Nb de paquets TCP reçus             :", r[i];
			print "Pourcentage de paquets perdus       :", 100*(s[i]-r[i])/s[i]
		}
	}' $1
